(begin
(define context "")

(define menutree
 '(
    (home "Home" 
      (
         ("http://www.brandeis.edu/academics/computer_science" "Official Information")
         ("http://www.brandeis.edu/registrar/schedule/schedule.php?subject_id=1400&view=ugrad&term=073" "Undergrad courses")
         ("http://www.brandeis.edu/registrar/schedule/schedule.php?subject_id=1400&view=grad&term=073" "Graduate courses")
         ("/search/CSsearch0708.html" "CS Search")
         ("/search/LINGsearch0708.html" "LING Search")
      ))

    (faculty "People" 
      (
          ("/faculty/index.html#faculty" "Faculty")
          ("/faculty/index.html#adjfaculty" "Adjuncts")
          ("/faculty/index.html#postdoc" "Postdocs")
          ("/faculty/index.html#staff" "Staff")
          ("/faculty/phds.html" "PhD students")
          ("/faculty/masters.html" "Masters students")
          ("/faculty/ugrads.html" "Undergraduates")
          ("/faculty/alumni.html" "Alumni")
      ))

    (research "Research" 
      (
          ("/research/index.html"  "Research labs")
      ))

   (resources "Seminars" 
      (
          ("http://www.cs.brandeis.edu/~liuba/seminar.html"  "CS Colloquium")
          ("http://www.cs.brown.edu/sites/neds/" "NEDS")
          ("http://www.cs.brandeis.edu/~dcc/"  "DCC")
       ))
   (academics "Academics" 
      (
          ("http://www.brandeis.edu/registrar/catalog/"  "Academic Bulletin")
          ("classes4yr.html"  "Projected Offerings")
          ("homepages.html" "Course Webpages")
          ("degrees.html"  "CS degrees")
          ("inet.html"  "Minor in INET")
          ("minor.html"  "Minor in CS")
          ("ba.html" "BA in CS")
          ("bs.html" "BS in CS")
          ("postbac.html"  "Post-bac in CS")
          ("ma.html"  "MA in CS")
          ("phd.html"  "PhD in CS")
          ("http://www.brandeis.edu/admissions/"  "Admissions (ugrad)")
          ("http://www.brandeis.edu/gsas/"  "Admissions (grad)")
       ))

;   (classes "Classes"
;      (
;      ))

;    (computing "Computing Systems" 
;     (
;          ("http://www.cs.brandeis.edu/~guru/"  "Guru Site")
;      ))

   (information "Resources" 
       (
          ("http://www.cs.brandeis.edu/~guru/"  "Guru Site")
          ("http://www.brandeis.edu/registrar/bulletin/provisional/"  "Academic Bulletin")
          ("contact.html"  "Contact Information")
          ("directions.html"  "Directions")
          ("http://my.brandeis.edu/calendar/"  "Calendar")
          ("http://www.library.brandeis.edu/science/"  "Science Library")
        ))

  ))

(define (leftmenu category) 
  (map
     (lambda(cat)
       (menu_item cat category))
     menutree))



(define (menu_item cat category)
{ <br />
  <table cellspacing="0" cellpadding="0" border="0" width="180">
	<tr>
		<td>
			<table cellspacing="0" cellpadding="1" border="0" bgcolor="#cccccc" width="180">
				<tr>
					<td>
						<table cellspacing="0" cellpadding="3" border="0" bgcolor="white" width="180">
							<tr>
								<th><b><span class="bullet">&middot;</span>
                                                                    <a class="leftnavbar" 
                                                                       href="[context]/[
                                                                                        (if (equal? (first cat) 'home) "" {[(first cat)]/})
                                                                                       ]index.html">[(second cat)]</a>
                                                                    </b></th>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
  [(if (equal? (first cat) category) (expanded_menu cat) "")]
  </table>})


(define (expanded_menu cat)
 {
  <tr>
    <td>
	<table cellspacing="0" cellpadding="3" border="0" bgcolor="#eeeeee" width="181" style="border-left:1px solid white;border-right:1px solid white;border-bottom:1px solid white;">
		<tr>
			<td><img src="[context]/images/spacer.gif" height="1" width="5" alt="" /></td>
			<td>
                        [(map 
                            (lambda(t)
                               {<span class="bullet">&middot;</span> <a class="leftnavbar" href="[(first t)]">[(second t)]</a><br />})
                            (third cat))]
			</td>
		</tr>
	</table>
    </td>
  </tr>
 }
)




(define (webpage category title body)
{<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
           "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
;<html lang="en">

<head>
        <title>
           [title]
        </title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <!-- styles for NS 4 --> 
  <script type="text/javascript" src="[context]/css/nav4styles.jss"></script>

  <style type="text/css">
 /* styles for CSS compliant browsers ie. NS6 IE 5 */    
 @import url([context]/css/compliantStyles.css);
 @import url([context]/academics/newcs.css);
 </style> 
</head>
<body marginwidth="0" marginheight="0" bgcolor="#ffffff">
<!-- BEGIN TOP BANNER -->
<a name="PageTop"></a> 
<table style="border-bottom: 1px solid black" id="pos1" class="banner" cellspacing="0" cellpadding="0" width="100%" border="0" summary="table used for page layout">
	<tr> 
		<td>
			<a href="http://www.brandeis.edu/"><img src="[context]/images/new-brandeis-seal.gif" alt="to Brandeis home page |" width="360" height="56" border="0" /></a> 
		</td> 
		<td class="seal" align="left">
			<span class="pageTitle">Computer Science</span>
		</td>
		<td>
			<a href="#PageBody"><img align="right" border="0" height="1" width="100" alt="Jump to Page Content" src="[context]/images/spacer.gif"/></a>
		</td>
	</tr> 
</table> 
<!-- END TOP BANNER --> 
<!-- BEGIN LEFT BANNER --> 
<table cellspacing="0" cellpadding="5" border="0" summary="table used for page layout">
	<tr>
		<td valign="top" class="leftbanner" style="background-color: #eeeeee" width="2000">

   [(leftmenu category)]

<br>
		</td>
		<td><img align="right" border="0" height="1" width="50" alt="Padding" src="[context]/images/spacer.gif"/></td>
		<td valign="top" width="100%">
			<a name="PageBody"></a>
			<p>&nbsp;</p>
   [body]

       <p><img border="0" height="15" width="1" alt="" src="[context]/images/spacer.gif" /></p>       </td>
       <td><img align="right" border="0" height="1" width="50" alt="" src="[context]/images/spacer.gif"/></td>
    </tr>

</table>

<script language="javascript" src="http://www.brandeis.edu/main.js"></script>
<table width="100%" bgcolor="#2a4b8d" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<form name="jumpForm" action="http://www.brandeis.edu/home/resolve.php" method="post"><td valign="bottom" width="200"><select name="jump" onchange="jumpPage(document.jumpForm.jump\[document.jumpForm.jump.selectedIndex\].value);">
      <option value="">Brandeis Quick Jump...</option>

      <option value="www.brandeis.edu/search/">Search</option>
      <option value="people.brandeis.edu/directory.html">Directory</option>
      <option value="www.brandeis.edu">Home</option>
      <option value="">----------------</option>
      <option value="www.brandeis.edu/admissions/admissions.html">Prospective Students</option>
      <option value="www.brandeis.edu/students.html">Current Students</option>

      <option value="www.brandeis.edu/faculty-staff/">Faculty</option>
      <option value="www.brandeis.edu/faculty-staff/">Staff</option>
      <option value="alumni.brandeis.edu/">Alumni</option>
      <option value="www.brandeis.edu/parents.html">Parents</option>
      <option value="www.brandeis.edu/visitors.html">Visitors</option>
      <option value="www.brandeis.edu/humanresources/currentjobs.html">Jobs</option>

      <option value="">----------------</option>
      <option value="my.brandeis.edu/news">News</option>
      <option value="my.brandeis.edu/calendar">Calendar</option>
      <option value="my.brandeis.edu/profiles">Profiles</option>
      <option value="my.brandeis.edu/map">Map</option>
      <option value="">----------------</option>

      <option value="www.brandeis.edu/overview/">About Brandeis</option>
      <option value="www.brandeis.edu/overview/directions.html">Directions</option>
      <option value="www.brandeis.edu/admissions/">Undergrad Admissions</option>
      <option value="www.brandeis.edu/academics.html">Academics</option>
      <option value="www.brandeis.edu/its/">IT Services</option>
      <option value="library.brandeis.edu/">Libraries</option>

      <option value="www.brandeis.edu/registrar/">Registrar</option>
      <option value="www.brandeis.edu/research.html">Research</option>
      <option value="www.brandeis.edu/offices/">Offices</option>
      </select>
      <noscript>
      <img src="[context]/images/spacer.gif" height="2" width="5" align="left" alt="" /> 
      <input type="image" src="http://www.brandeis.edu/images/jump.gif" alt="go" valign="absmiddle" border="0" />
      </noscript>
      </td></form>
		<td align="left" width="90"><table cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td>&nbsp;&nbsp;<b><a href="http://go.brandeis.edu/" onclick="popGo();return false;" class="headerwhite">GO:</a></b></td>
					<form action="http://go.brandeis.edu/" method="get"><td><input type="text" name="go" size="7"></td></form>
				</tr>
		</table></td>
		<td align="left" bgcolor="#2a4b8d">&nbsp;&nbsp;<a href="http://www.brandeis.edu/contact.html" onclick="popContact();return false;" class="headerwhite">Contact Us</a></td>
		<td align="right" bgcolor="#2a4b8d"><a href="http://www.brandeis.edu/copyright.html" class="headerwhite">&copy; Copyright 2004</a> <a href="http://www.brandeis.edu/" class="headerwhite">Brandeis University</a>&nbsp;&nbsp;<a href="http://www.brandeis.edu/kickme.html"><img border="0" alt="" src="[context]/images/spacer.gif" height="0" width="0"></a></td>
	</tr>
</table>
</body>

</html>

})



(define (gen-classes-page mode range)

(webpage 'academics "Projected Courses" 
(let ()
  (define teaching
'(
;((top xxxx)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess)	(Staff)	(Staff)	(Staff)	(Staff))
((fac /96-97)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(Staff)	(Staff)	(Staff))
((aut /96-97)	(c215)	(c002a)	(c111)	(c171)	(c030a)	(c180)	(c021a)		(leave)	(xxxx)	(xxxx)	(xxxx)	(Usem)	(c031a)	(c146)	(c140))
((spr /96-97)	(c021b)	(c114)	(c035a)	(c030b)	(chair)	(sab)	(c160)		(leave)	(xxxx)	(xxxx)	(xxxx)	(c215)	(c011a)	(c031b)	(c120))
((sum1 /97)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /97)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /96-97)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /97-98)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(Staff)	(xxxx)	(xxxx))
((aut /97-98)	(sab)	(c215)	(Usem)	(c030a)	(c175)	(c190)	(c002a)		(c021a)	(c031a)	(xxxx)	(xxxx)	(xxxx)	(c120)	(xxxx)	(xxxx))
((spr /97-98)	(sab)	(c035a)	(c215)	(c170)	(chair)	(c021b)	(c155)		(c031b)	(c220)	(xxxx)	(xxxx)	(c120)	(c011a)	(xxxx)	(xxxx))
((sum1 /98)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /98)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /97-98)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /98-99)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(xxxx)	(xxxx)	(xxxx))
((aut /98-99)	(c113)	(Usem)	(c111)	(c180)	(c021a)	(c030a)	(c002a)		(c178)	(c031a)	(xxxx)	(xxxx)	(c160)	(xxxx)	(xxxx)	(xxxx))
((spr /98-99)	(c035a)	(c114)	(c125)	(c171)	(chair)	(c021b)	(c011a)		(c031b)	(c146)	(c227)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum1 /99)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /99)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /98-99)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /99-00)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(Staff)	(xxxx)	(xxxx))
((aut /99-00)	(Usem)	(c216)	(c215)	(c170)	(c021a)	(leave)	(c002a)		(c140)	(c146)	(c031a)	(c029a)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((spr /99-00)	(c217)	(c112)	(c035a)	(c030a)	(chair)	(leave)	(c155)		(leave)	(c147)	(c120)	(xxxx)	(c011a)	(c021b)	(xxxx)	(xxxx))
((sum1 /00)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /00)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /99-00)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /00-01)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(Staff)	(xxxx)	(xxxx))
((aut /00-01)	(c113)	(sab)	(Usem)	(c021a)	(c175)	(leave)	(c002a)		(c178)	(c031a)	(c127)	(c029a)	(c120)	(xxxx)	(xxxx)	(xxxx))
((spr /00-01)	(c021b)	(c035a)	(sab)	(c171)	(chair)	(leave)	(c033b)		(c030a)	(c146)	(c225)	(xxxx)	(c011a)	(c160)	(xxxx)	(xxxx))
((sum1 /01)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c011a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /01)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /00-01)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /01-02)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(xxxx)	(xxxx)	(xxxx))
((aut /01-02)	(hsab)	(c114)	(c215)	(c029a)	(c180)	(c190)	(c002a)		(c140)	(c031a)	(c021a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((spr /01-02)	(Usem)	(c033b)	(c111)	(c170)	(chair)	(c021b)	(sab)		(c011a)	(c147)	(c128)	(c030a)	(c035a)	(xxxx)	(xxxx)	(xxxx))
((sum1 /02)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c011a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /02)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /01-02)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /02-03)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Staff)	(Staff)	(Gran)	(xxxx))
((aut /02-03)	(c113)	(Usem)	(c125)	(c171)	(c175)	(c240)	(c002a)		(c021a)	(c031a)	(c127)	(c029a)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((spr /02-03)	(c035a)	(c112)	(c033b)	(c030a)	(sab)	(c021b)	(chair)		(sab)	(c146)	(c227)	(xxxx)	(x011a)	(c120)	(xxxx)	(xxxx))
((sum1 /03)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(c011a)	(xxxx))
((sum2 /03)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /02-03)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /03-04)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Mott)	(Neer)	(Shap)	(xxxx))
((aut /03-04)	(Usem)	(c114)	(c111)	(c029a)	(c021a)	(c190)	(c002a)		(sab)	(c031a)	(hsab)	(xxxx)	(c155)	(c117)	(xxxx)	(xxxx))
((spr /03-04)	(c033b)	(c216)	(c035a)	(c170)	(c160)	(c021b)	(chair)		(c178)	(c147)	(c128)	(c030a)	(xxxx)	(xxxx)	(c011a)	(xxxx))
((sum1 /04)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(c002a)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(c011a)	(xxxx))
((sum2 /04)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /03-04)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /04-05)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Shap)	(Land)	(xxxx)	(xxxx))
((aut /04-05)	(c217)	(c112)	(c215)	(c171)	(c021a)	(Usem)	(c002a)		(c120)	(sab)	(c031a)	(c029a)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((spr /04-05)	(sab)	(c035a)	(c125)	(c030a)	(c175)	(c021b)	(c033b)		(sab)	(sab)	(c127)	(xxxx)	(c011a)	(c120)	(xxxx)	(xxxx))
((sum1 /05)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c011a c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(c011a)	(xxxx)	(xxxx)	(xxxx))
((sum2 /05)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /04-05)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /05-06)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Naam)	(Staff)	(xxxx)	(xxxx))
((aut /05-06)	(sab)	(Usem)	(c111)	(c230)	(c180)	(c021b)(c011a)		(sab)	(c146)	(c031a)	(c029a)	(c120)	(xxxx)	(xxxx)	(xxxx))
((spr /05-06)	(c035a)	(c114)	(c033b)	(c123)	(c021a)	(c190)	(c002a)		(c178)	(c147)	(sab)	(xxxx)	(xxxx)	(c030a)	(xxxx)	(xxxx))
((sum1 /06)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c011a c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /06)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /05-06)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /06-07)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess) 	(Witt)	(Staff)	(xxxx)	(xxxx))
((aut /06-07)	(c033b)	(c112)	(c025a)	(c101a)	(c175)	(c021b)	(c002a)		(c140)	(c011a)	(sab)	(c029a)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((spr /06-07)	(c113)	(c216)	(c118)	(c178)	(c021a)	(Usem)	(c065a)		(xxxx)	(c031a)	(c127)	(xxxx)	(c030a)	(xxxx)	(xxxx)	(xxxx))
((sum1 /07)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(c065a)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /07)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c033b)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /06-07)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /07-08)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(xxxx)	(Shri)	(Cher)	(Gess) 	(DiLi)	(xxxx)	(xxxx)	(xxxx))
((aut /07-08)	(Usem)	(c101a)	(c111)	(c230)	(c180)	(c021b)	(c155)		(xxxx)	(c146)	(c227)	(c029a)	(o c011a c033b)	(xxxx)	(xxxx)	(xxxx))
((spr /07-08)	(c217)	(c114)	(sab)	(c123)	(sab)	(c190)	(c002a)		(xxxx)	(c147)	(c031a)	(xxxx)	(o c021a c030a)	(xxxx)	(xxxx)	(xxxx))
((sum1 /08)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c065a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /08)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c033b c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /07-08)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /08-09)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(NEW)	(Shri)	(Cher)	(Gess) 	(DiLi)	(xxxx)	(xxxx)	(xxxx))
((aut /08-09)	(c101a)	(c112)	(c033b)	(sab)	(c175)	(c021b)	(sab)		(c120)	(c220)	(c127)	(math)	(o c011a c029a)	(xxxx)	(xxxx)	(xxxx))
((spr /08-09)	(c113)	(c114)	(chair)	(c178)	(c030a)	(Usem)	(c002a)		(c230)	(c031a)	(c128)	(xxxx)	(o c021a c145)	(xxxx)	(xxxx)	(xxxx))
((sum1 /08-09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c011a c065a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c033b c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /08-09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /09-10)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(NEW)	(Shri)	(Cher)	(Gess) 	(DiLi)	        (xxxx)	(xxxx)	(xxxx))
((aut /09-10)	(c021b)	(c114)	(c025a)	(c101a)	(c180)	(sab)	(c065a)		(c230)	(c146)	(c127)	(c029a)	(o c011a c033b)	(xxxx)	(xxxx)	(xxxx))
((spr /09-10)	(Usem)	(sab)	(chair)	(c121)	(c030a)	(uload)	(c002a)		(c179)	(c147)  (c031a)	(xxxx)	(o c021a c145) (xxxx)	(xxxx)	(xxxx))
((sum1 /10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
((sum2 /10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c033b c065a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
;((xx /09-10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))

((fac /10-11)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(NEW)	(Shri)	(Cher)	(Gess) 	(DiLi)	        (xxxx)	(xxxx)	(xxxx))
((aut /10-11)	(c217)	(c101a)	(c118)	(c171)	(c175)	(c021b)	(Usem)		(c120)	(sab)	(c128)	(c029a)	(o c011a c033b)	(xxxx)	(xxxx)	(xxxx))
((spr /10-11)	(c113)	(c114)	(chair)	(c178)	(c030a)	(c190)(c002a)		(c230)	(sab)	(c031a)	(xxxx)	(o c021a c145)	(xxxx)	(xxxx)	(xxxx))
((sum1 /11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c011a c065a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
((sum2 /11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c033b)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
;((xx /10-11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))

((fac /11-12)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(NEW)	(Shri)	(Cher)	(Gess) 	(DiLi)	(Staff)	(xxxx)	(xxxx))
((aut /11-12)	(c101a)	(c112)	(c025a)	(sab)	(c180)	(c021b)	(c065a)		(c230)	(c146)	(c127)	(c029a)	(o c011a c033b)	(xxxx)	(xxxx)	(xxxx))
((spr /11-12)	(Usem)	(c114)	(c118)	(sab)	(c030a)	(chair)	(c002a)		(c179)	(c031a) (c128)	(xxxx)	(o c021a c145)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum1 /12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c155)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
((sum2 /12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))
;((xx /11-12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((fac /12-13)	(Poll)	(Pust)	(Alte)	(Hong)	(Stor)	(Mair)	(Hick)		(NEW)	(Shri)	(Cher)	(Gess) 	(DiLi)	(Staff)   	(xxxx)	(xxxx))
((aut /12-13)	(c113)	(c101a)	(Usem)	(c171)	(c175)	(c021b)	(c002a)		(c120)	(c147)	(c011a)	(c029a)	(o c011a c033b)	(xxxx)	(xxxx)	(xxxx))
((spr /12-13)	(c119)	(c215)	(c125)	(c178)	(c030a)	(chair)	(c033b)		(c230)	(c031a)	(sab)	(xxxx)	(o c021a c145N)	(xxxx)	(xxxx)	(xxxx))
((sum1 /13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c011a c065a)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
((sum2 /13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(o c002a c033b)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	        (xxxx)	(xxxx)	(xxxx))
;((xx /12-13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)		(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	(xxxx))

((top xxxx)	(Poll)	(Pust)	(Alte)	(Cohn)	(Stor)	(Mair)	(Hick)		(Cohe)	(Shri)	(Cher)	(Gess)	(xxxx) 	(Staff)	(Staff)	(Staff)	(Staff))

))



(define (transpose L)
  (if (equal? (apply append L) ()) 
    ()
    (cons (map first L) (transpose (map rest L)))))



(define (filter P L)
  (if (null? L) ()
      (if (P (first L)) 
          (cons (first L) (filter P (rest L)))
          (filter P (rest L)))))



(let ()

  (define (yeartest L)
    (lambda (x) 
     (if (equal? range "alldata") #t
       (let ((z (first x)))
          (or (equal? z '(fac))
              (and (equal? (first z) 'top)  (equal? mode "compact"))
              (and (pair? z)
                   (or (equal? range "summer") (not (member (first z) '(sum1 sum2))))
                   (or (not (equal? mode "compact")) (not (member (first z) '(fac xx))))
                   (or (equal? range "all") (member (second z) L))))))))


;  (define (multiitem x)
;    {<tr><td class="[x]">[(item x)]</td></tr>})

  (define (multiitem x)
    {<td class="[x]">[(item x)]</td>})

  (define (get-fac-url x)
    (case x
      ((Poll) 'pollack)
      ((Pust) 'jamesp)
      ((Alte) 'alterman)
      ((Cohn) 'marty)
      ((Stor) 'storer)
      ((Mair) 'mairson)
      ((Hick) 'tim)
      ((Cohe) 'jc)
      ((Shri) 'liuba)
      ((Cher) 'mfc)
      ((Gess) 'ira)
      ((Hong) 'hong)
      ((Staff) 'staff)
      ((Mott) 'gim)
      ((Gran) 'kgg)
      ((Shap) 'shapird)
      ((Land) 'seth)
      ((Neer) 'turtle)
      (else x)))


  (define (item x)
   (case x
     ((xxxx xx o top) "&nbsp;<br/>")
     ((leave) "on<br/>leave")
     ((fac) "&nbsp;<br/>")
     ((chair) "chair<br/>")
     ((math) "")
     ((uload) "on leave")
     ((Poll Pust Alte Cohn Stor Mair Hick Cohe Shri Cher Gess Hong Staff Mott Gran Land Shap) {<a href="http://www.cs.brandeis.edu/~[(get-fac-url x)]">[x]</a>})
     ((c002a c011a c033b Usem c025a c12 
       c021a c021b c029a c030a c031a c035a 
       c215 c216 c217 c225 c227 c220 c230 c240 
       c111 c112 c113 c114 c116 c117 c120 c121 c123 c125 c127 c128 c140 c146 c147 c150 c155 c160 c170 c171 c175 c178 c179 c180 c190) 
           (genlink x))
     (else {[x]<br/>})))


  (define (genlink x)
   (string-append "<a href=\"bulletin.html#" (.toString x) "\">" x "</a>"))
   

(define (oldgenlink x) 
 (case (.toString x)
  (("c002a") "COSI-2a")
  (("c011") "COSI-11a")
  (("c033b") "COSI-33b")
  (("c025a") "COSI-025a")
  (("c12") "COSI-12")
  (("c021a") "COSI-21a")
  (("c021b") "COSI-21b")
  (("c029a") "COSI-29a")
  (("c030a") "COSI-30a")
  (("c031a") "COSI-31a")
  (("c035a") "COSI-35a")
  (("c215") "COSI-215a")
  (("c216") "COSI-216a")
  (("c217") "COSI-217a")
  (("c225") "COSI-225a")
  (("c227") "COSI-227b")
  (("c220") "COSI-220a")
  (("c240") "COSI-240b")
  (("c2?") "COSI-2xx")
  (("c031b") "COSI-31b")
  (("c30b") "COSI-30b")
  (("c031b") "COSI-31b")
  (("c111") "COSI-111a")
  (("c112") "COSI-112a")
  (("c113") "COSI-113b")
  (("c114") "COSI-114b")
  (("c117") "COSI-117a")
  (("c120") "COSI-120a")
  (("c121") "COSI-121a")
  (("c123") "COSI-123a")
  (("c125") "COSI-125a")
  (("c127") "COSI-127b")
  (("c128") "COSI-128b")
  (("c140") "COSI-140a")
  (("c146") "COSI-146a")
  (("c147") "COSI-147a")
  (("c150") "COSI-150a")
  (("c155") "COSI-155b")
  (("c160") "COSI-160a")
  (("c170") "COSI-170a")
  (("c171") "COSI-171a")
  (("c175") "COSI-175a")
  (("c178") "COSI-178a")
  (("c180") "COSI-180a")
  (("c190") "COSI-190a")
  (else "")
))





  (define (td x)
   (if (and (> (length x) 1) (equal? (first x) 'o))
       {<td class="[(first x)]"><table class="multi"><tr>[(map multiitem (rest x))]</tr></table></td>\n}
       {<td class="[(first x)]">[(map item x)]</td>\n}))

  (define (tr R)
    {<tr class="[(first (first R))]">\n[(map td R)]</tr>\n})

;<html>
;  <head>
;    <title>CS Teaching</title>
;    <link rel="stylesheet" href="newcs.css" />
;  </head>
;  <body>
{
<h3>Projected Computer Science Class Offerings<br/> at Brandeis Unviersity
[(case range
 ((#null) "for the next four years")
 (("summer") "for the next four years, including summers")
 (("all") "for all past and projected data available")
 (else ""))]
[(if (equal? mode "summer") " (compact) " "")]

</h3>
The course projections for future years are subject to change, and in general the
farther ahead in the future a projection is, the more likely it is to change! 

<br/><br/><br/>


<div style="text-align:left">
<table>
<tr><td class="c002a">Non-major classes</td>
<td class="c021a">Core courses</td>
<td class="c112">Elective courses</td>
<td class="c215">Upper level graduate courses</td></tr>
</table>
</div>

<br/><br/>

<table class="menu" border=1 style="font-size:75%">
<tr><td style="background:rgb(250,230,220)"><a href="classes4yr.html">Four Years</a> 
</td><td style="background:rgb(220,230,250)"><a href="classes4yrcmpt.html">Four Years<br/> (compact)</a> 
</td><td style="background:rgb(220,250,230)"><a href="classes4yrsum.html">Four Years<br/> (with summers)</a>
</td><td style="background:rgb(220,230,250)"><a href="classesall.html">All Years</a><br/>
</td><td style="background:rgb(220,230,250)"><a href="classesallcmpt.html">All Years <br/>(compact)</a><br/>
</td><td style="background:rgb(220,230,250)"><a href="classesallsum.html">All Years <br/>(with summers)</a><br/>
</td></tr>
</table>
<br/><br/>

    <table class="main">
      [(map tr (filter (yeartest '(/07-08 /08 /08-09 /09 /09-10 /10 /10-11 /11)) teaching))]
    </table>

<br/><br/>

Note: we have not yet decided who the next Chair of CS will be, but in order
to generate a realistic projection, we have assumed that Rick Alterman we be the
chair for the next three years. When we do decide on who the next chair will be
the schedule will change accordingly.


}
;  </body>
; </html>

))))





(define (gen-ling-classes-page mode range)

(webpage 'academics "Projected Courses" 
#{<html><head><title>Computational Lingistics Classes</title>
   <link rel="stylesheet" href="ling.css" />
  </head>
  <body>
#[

(let ()
  (define teaching
'(

((fac /08-09)	(Poll)	(Pust)	(Alte)	(Hong)	(New) (Malamud) (Verhagen) (Mani))
((aut /08-09)	(c101a)	(c112)	(c033b)	(sab)	)
((spr /08-09)	(c113)	(c114)	(c111)	(c178)	)
((sum1 /08-09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
((sum2 /09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
;((xx /08-09)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)

((fac /09-10)	(Poll)	(Pust)	(Alte)	(Hong)	)
((aut /09-10)	(c021b)	(c114)	(c025a)	(c101a)	)
((spr /09-10)	(Usem)	(sab)	(c118)	(c123)	)
((sum1 /10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
((sum2 /10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
;((xx /09-10)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)

((fac /10-11)	(Poll)	(Pust)	(Alte)	(Hong)	)
((aut /10-11)	(c217)	(c101a)	(c11)	(c171)	)
((spr /10-11)	(c113)	(c114)	(xxxx)	(c178)	)
((sum1 /11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
((sum2 /11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
;((xx /10-11)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)

((fac /11-12)	(Poll)	(Pust)	(Alte)	(Hong)	)
((aut /11-12)	(c101a)	(c112)	(c025a)	(sab)	)
((spr /11-12)	(Usem)	(c114)	(c118)	(sab)	)
((sum1 /12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
((sum2 /12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
;((xx /11-12)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)

((fac /12-13)	(Poll)	(Pust)	(Alte)	(Hong)	)
((aut /12-13)	(c113)	(c101a)	(Usem)	(c171)	)
((spr /12-13)	(c119)	(c215)	(c125)	(c178)	)
((sum1 /13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
((sum2 /13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)
;((xx /12-13)	(xxxx)	(xxxx)	(xxxx)	(xxxx)	)

((top xxxx)	(Poll)	(Pust)	(Alte)	(Cohn)	)

))



(define (transpose L)
  (if (equal? (apply append L) ()) 
    ()
    (cons (map first L) (transpose (map rest L)))))



(define (filter P L)
  (if (null? L) ()
      (if (P (first L)) 
          (cons (first L) (filter P (rest L)))
          (filter P (rest L)))))



(let ()

  (define (yeartest L)
    (lambda (x) 
     (if (equal? range "alldata") #t
       (let ((z (first x)))
          (or (equal? z '(fac))
              (and (equal? (first z) 'top)  (equal? mode "compact"))
              (and (pair? z)
                   (or (equal? range "summer") (not (member (first z) '(sum1 sum2))))
                   (or (not (equal? mode "compact")) (not (member (first z) '(fac xx))))
                   (or (equal? range "all") (member (second z) L))))))))


;  (define (multiitem x)
;    {<tr><td class="[x]">[(item x)]</td></tr>})

  (define (multiitem x)
    {<td class="[x]">[(item x)]</td>})

  (define (get-fac-url x)
    (case x
      ((Poll) 'pollack)
      ((Pust) 'jamesp)
      ((Alte) 'alterman)
      ((Cohn) 'marty)
      ((Stor) 'storer)
      ((Mair) 'mairson)
      ((Hick) 'tim)
      ((Cohe) 'jc)
      ((Shri) 'liuba)
      ((Cher) 'mfc)
      ((Gess) 'ira)
      ((Hong) 'hong)
      ((Staff) 'staff)
      ((Mott) 'gim)
      ((Gran) 'kgg)
      ((Shap) 'shapird)
      ((Land) 'seth)
      ((Neer) 'turtle)
      (else x)))


  (define (item x)
   (case x
     ((xxxx xx o top) "&nbsp;<br/>")
     ((leave) "on<br/>leave")
     ((fac) "&nbsp;<br/>")
     ((chair) "chair<br/>")
     ((math) "")
     ((uload) "on leave")
     ((Poll Pust Alte Cohn Stor Mair Hick Cohe Shri Cher Gess Hong Staff Mott Gran Land Shap) {<a href="http://www.cs.brandeis.edu/~[(get-fac-url x)]">[x]</a>})
     ((c002a c011a c033b Usem c025a c12 
       c021a c021b c029a c030a c031a c035a 
       c215 c216 c217 c225 c227 c220 c230 c240 
       c111 c112 c113 c114 c116 c117 c120 c121 c123 c125 c127 c128 c140 c146 c147 c150 c155 c160 c170 c171 c175 c178 c179 c180 c190) 
           (genlink x))
     (else {[x]<br/>})))


  (define (genlink x)
   (string-append "<a href=\"bulletin.html#" (.toString x) "\">" x "</a>"))
   

(define (oldgenlink x) 
 (case (.toString x)
  (("c002a") "COSI-2a")
  (("c011") "COSI-11a")
  (("c033b") "COSI-33b")
  (("c025a") "COSI-025a")
  (("c12") "COSI-12")
  (("c021a") "COSI-21a")
  (("c021b") "COSI-21b")
  (("c029a") "COSI-29a")
  (("c030a") "COSI-30a")
  (("c031a") "COSI-31a")
  (("c035a") "COSI-35a")
  (("c215") "COSI-215a")
  (("c216") "COSI-216a")
  (("c217") "COSI-217a")
  (("c225") "COSI-225a")
  (("c227") "COSI-227b")
  (("c220") "COSI-220a")
  (("c240") "COSI-240b")
  (("c2?") "COSI-2xx")
  (("c031b") "COSI-31b")
  (("c30b") "COSI-30b")
  (("c031b") "COSI-31b")
  (("c111") "COSI-111a")
  (("c112") "COSI-112a")
  (("c113") "COSI-113b")
  (("c114") "COSI-114b")
  (("c117") "COSI-117a")
  (("c120") "COSI-120a")
  (("c121") "COSI-121a")
  (("c123") "COSI-123a")
  (("c125") "COSI-125a")
  (("c127") "COSI-127b")
  (("c128") "COSI-128b")
  (("c140") "COSI-140a")
  (("c146") "COSI-146a")
  (("c147") "COSI-147a")
  (("c150") "COSI-150a")
  (("c155") "COSI-155b")
  (("c160") "COSI-160a")
  (("c170") "COSI-170a")
  (("c171") "COSI-171a")
  (("c175") "COSI-175a")
  (("c178") "COSI-178a")
  (("c180") "COSI-180a")
  (("c190") "COSI-190a")
  (else "")
))





  (define (td x)
   (if (and (> (length x) 1) (equal? (first x) 'o))
       {<td class="[(first x)]"><table class="multi"><tr>[(map multiitem (rest x))]</tr></table></td>\n}
       {<td class="[(first x)]">[(map item x)]</td>\n}))

  (define (tr R)
    {<tr class="[(first (first R))]">\n[(map td R)]</tr>\n})

;<html>
;  <head>
;    <title>CS Teaching</title>
;    <link rel="stylesheet" href="newcs.css" />
;  </head>
;  <body>
{
<h3>Projected Computational Linguistics Class Offerings<br/> at Brandeis Unviersity
[(case range
 ((#null) "for the next four years")
 (("summer") "for the next four years, including summers")
 (("all") "for all past and projected data available")
 (else ""))]
[(if (equal? mode "summer") " (compact) " "")]

</h3>
The course projections for future years are subject to change, and in general the
farther ahead in the future a projection is, the more likely it is to change! 

<br/><br/><br/>


<div style="text-align:left">
<table>
<tr><td class="c002a">Non-major classes</td>
<td class="c021a">Core courses</td>
<td class="c112">Elective courses</td>
<td class="c215">Upper level graduate courses</td></tr>
</table>
</div>

<br/><br/>

<table class="menu" border=1 style="font-size:75%">
<tr><td style="background:rgb(250,230,220)"><a href="classes4yr.html">Four Years</a> 
</td><td style="background:rgb(220,230,250)"><a href="classes4yrcmpt.html">Four Years<br/> (compact)</a> 
</td><td style="background:rgb(220,250,230)"><a href="classes4yrsum.html">Four Years<br/> (with summers)</a>
</td><td style="background:rgb(220,230,250)"><a href="classesall.html">All Years</a><br/>
</td><td style="background:rgb(220,230,250)"><a href="classesallcmpt.html">All Years <br/>(compact)</a><br/>
</td><td style="background:rgb(220,230,250)"><a href="classesallsum.html">All Years <br/>(with summers)</a><br/>
</td></tr>
</table>
<br/><br/>

    <table class="main">
      [(map tr (filter (yeartest '(/07-08 /08 /08-09 /09 /09-10 /10 /10-11 /11)) teaching))]
    </table>

<br/><br/>

Note: we have not yet decided who the next Chair of CS will be, but in order
to generate a realistic projection, we have assumed that Rick Alterman we be the
chair for the next three years. When we do decide on who the next chair will be
the schedule will change accordingly.


}

)))
]#
</body>
</html>
}#
)


{cs servlet initialized [(Date.)]}
)

