
(define (odsn-page TITLE HEADTEXT BODYTEXT)
 #{<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
   <title>ODSN:#[TITLE]#</title>
   <link rel="stylesheet" href="http://popper.cs-i.brandeis.edu:8088/cs2as08/fantasymajors/loginreg/fm.css"/>
   #[HEADTEXT]#
  </head>
  <body>
   <div id="headline"><h1><span class="pagetitle">#[TITLE]#</span></h1></div>  
   <div id="body">
   #[BODYTEXT]#
   </div>
   <div id="footer">
   <ul>
     <li><a href="/odsn/loginreg/logout.servlet">logout</a></li>
     <li><a href="/odsn/loginreg/register.servlet">register</a></li>
     <li><a href="/odsn/loginreg/login.servlet">login</a></li>
     <li><a href="/odsn/myProfile.servlet">my profile</a></li>
     <li><a href="/odsn/main.servlet">home</a></li>
   </ul>
   </div>
  </body>
</html>
 }#
)

(define (secure-odsn-page request TITLE HEADTEXT BODYTEXT)
  (define unetid (getAttribute request "unetid"))
  (define guest (equal? unetid #null))

  (define response
   (if guest
     (odsn-page "Please login" "" {<a href="/odsn/loginreg/login.servlet">You need to login first!</a> })
     (odsn-page TITLE HEADTEXT BODYTEXT)))

  response
)


(define (getAttribute request name)
 (define session (.getSession request))
 (.getAttribute session name)
)

(define (setAttribute request name value)
 (define session (.getSession request))
 (.setAttribute session name value)
)


(define (getuser request)
 (define unetid (getAttribute request "unetid"))
 (if (equal? unetid #null) "guest" unetid)
)
 
(define-macro (catch-errors F)
  `(tryCatch ,F (lambda(e) (odsn-page "ERROR" "" e)))
)
